<mat-card>
  <mat-card-title
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="!placeholder && block.required"
  ></mat-card-title>
  <mat-card-content *ngIf="description" markdown [content]="description" [context]="context"></mat-card-content>
  <mat-form-field class="form-field-full-width">
    <input
      #ref
      type="url"
      matInput
      [required]="block.required"
      [placeholder]="placeholder"
      [value]="block.urlSlot.string"
      [attr.aria-describedby]="explanation && block.key('explanation')"
      [(ngModel)]="block.urlSlot.value"
      (blur)="block.onBlur(ref)"
    />
  </mat-form-field>
  <mat-card-footer
    *ngIf="explanation"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></mat-card-footer>
</mat-card>
